/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#include "lists.h"

int list_append_node(list_t *list, node_t *node)
{
	if (list == NULL)
		return -1;
	
	if (list->head == NULL) {
		list->head = node->next = node;
	} else {
		node->next = list->head;
		list->tail->next = node;
	}
	list->tail = node;
	
	return 0;
}

int list_remove_head(list_t *list)
{
	if (list == NULL || list->head == NULL)
		return -1;
	
	if (list->head == list->tail) /* only node in list */
		list->head = list->tail = NULL;
	else
		list->tail->next = list->head = list->head->next;
	
	return 0;
}
